# Generated from beautiful-jekyll-theme-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name beautiful-jekyll-theme

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: Beautiful Jekyll is a ready-to-use Jekyll theme to help you create an awesome website quickly. Perfect for personal blogs or simple project websites, with a focus on responsive and clean design
License: MIT
URL: https://beautifuljekyll.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Beautiful Jekyll is a ready-to-use Jekyll theme to help you create an awesome
website quickly. Perfect for personal blogs or simple project websites, with a
focus on responsive and clean design.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/404.html
%license %{gem_instdir}/LICENSE
%{gem_instdir}/_data
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/assets
%{gem_instdir}/feed.xml
%{gem_instdir}/staticman.yml
%{gem_instdir}/tags.html
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 5.0.0-1
- Initial package
